Skip to main content
`Ctrl`+`K`

# PCJacobiSetRowl1Scale

Set scaling of off-diagonal of operator when computing l1 row norms, eg, Remark 6.1 in “Multigrid Smoothers for Ultraparallel Computing”, Baker et al, with 0.5 scaling

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCJacobiSetRowl1Scale(PC pc, PetscReal scale)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- scale - scaling

## Options Database Key

- -pc_jacobi_rowl1_scale <real> - use absolute values

## See Also

KSP: Linear System Solvers, `PCJACOBI`, `PCJacobiSetType()`, `PCJacobiGetRowl1Scale()`

## Level

intermediate

## Location

src/ksp/pc/impls/jacobi/jacobi.c

## Examples

src/ksp/ksp/tutorials/ex56.c

## Implementations

PCJacobiSetRowl1Scale_Jacobi() in src/ksp/pc/impls/jacobi/jacobi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages